# Auth

## Logon Organization

 - [POST /v1/auth/logon/{organizationId}](https://docs.synqly.com/api-reference/management/auth/auth_logon.md): Initiates a new session for the given member in specified Synqly organization.

Operation ID: auth_logon

## Change Member Password

 - [POST /v1/auth/change_password](https://docs.synqly.com/api-reference/management/auth/auth_change_password.md): Change member password.

Operation ID: auth_change_password

## Logoff

 - [POST /v1/auth/logoff](https://docs.synqly.com/api-reference/management/auth/auth_logoff.md): Terminates the session identified by the given logon token.

Operation ID: auth_logoff

## Create SSO Configuration

 - [POST /v1/auth/sso](https://docs.synqly.com/api-reference/management/auth/auth_create_sso.md): Configure an identity provider for Single Sign-On (SSO) with the organization.
Returns the created resource with its assigned SSO configuration ID.

Operation ID: auth_create_sso

## List SSO Configurations

 - [GET /v1/auth/sso](https://docs.synqly.com/api-reference/management/auth/auth_list_sso.md): List all Single Sign-On (SSO) configurations for the organization.
Client secrets are not included.

Operation ID: auth_list_sso

## Get SSO Configuration

 - [GET /v1/auth/sso/{ssoId}](https://docs.synqly.com/api-reference/management/auth/auth_get_sso.md): Retrieve a specific SSO configuration. The client secret is not included.

Operation ID: auth_get_sso

## Update SSO Configuration

 - [PUT /v1/auth/sso/{ssoId}](https://docs.synqly.com/api-reference/management/auth/auth_update_sso.md): Update the SSO configuration by ID. This is a full replacement of the
configuration. The updated_at field is used for optimistic locking
to prevent concurrent updates.

Operation ID: auth_update_sso

## Delete SSO Configuration

 - [DELETE /v1/auth/sso/{ssoId}](https://docs.synqly.com/api-reference/management/auth/auth_delete_sso.md): Remove a specific Single Sign-On (SSO) configuration. This may disable signing on
with the identity provider defined in the configuration, and can result in members
linked to that identity provider no longer being able to access the Organization.

Operation ID: auth_delete_sso

## Get SSO Metadata

 - [GET /v1/auth/meta](https://docs.synqly.com/api-reference/management/auth/auth_get_sso_metadata.md): Returns the SP-side configuration values the user needs to enter into their
Identity Provider. Includes the OIDC redirect URI or SAML ACS URL and SP
entity ID depending on the protocols configured for the organization.

Operation ID: auth_get_sso_metadata

